# SOCK.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Addr.h"`
`#include "ace/IPC_SAP.h"`
`#include "ace/OS_NS_stropts.h"`
`#include "ace/SOCK.inl"`

Include dependency graph for SOCK.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_SOCK
| An abstract class that forms the basis for more specific classes, such as <ace_sock_acceptor> and <ace_sock_stream>. Do not instantiate this class. More...

## Detailed Description

Id
  SOCK.h,v 4.40 2005/10/28 16:14:55 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>